diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/autocomplete/autocomplete_popup_view_mac.mm chromium-browser-12.0.742.112~r90304/src/chrome/browser/autocomplete/autocomplete_popup_view_mac.mm
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/autocomplete/autocomplete_popup_view_mac.mm	2011-06-08 00:43:02.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/autocomplete/autocomplete_popup_view_mac.mm	2011-07-16 15:15:15.040000249 +0200
@@ -14,7 +14,6 @@
 #include "chrome/browser/autocomplete/autocomplete_match.h"
 #include "chrome/browser/autocomplete/autocomplete_popup_model.h"
 #include "chrome/browser/instant/instant_confirm_dialog.h"
-#include "chrome/browser/instant/promo_counter.h"
 #include "chrome/browser/profiles/profile.h"
 #include "chrome/browser/ui/cocoa/event_utils.h"
 #include "chrome/browser/ui/cocoa/image_utils.h"
@@ -551,9 +550,6 @@
 }
 
 void AutocompletePopupViewMac::UserPressedOptIn(bool opt_in) {
-  PromoCounter* counter = model_->profile()->GetInstantPromoCounter();
-  DCHECK(counter);
-  counter->Hide();
   if (opt_in) {
     browser::ShowInstantConfirmDialogIfNecessary([field_ window],
                                                  model_->profile());
@@ -564,8 +560,7 @@
 }
 
 bool AutocompletePopupViewMac::ShouldShowInstantOptIn() {
-  PromoCounter* counter = model_->profile()->GetInstantPromoCounter();
-  return (counter && counter->ShouldShow(base::Time::Now()));
+  return false;
 }
 
 @implementation AutocompleteButtonCell
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.cc	2011-06-08 00:43:01.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.cc	2011-07-16 14:40:34.028000133 +0200
@@ -25,7 +25,6 @@
 #include "chrome/browser/browser_process.h"
 #include "chrome/browser/debugger/devtools_manager.h"
 #include "chrome/browser/extensions/crx_installer.h"
-#include "chrome/browser/extensions/apps_promo.h"
 #include "chrome/browser/extensions/extension_accessibility_api.h"
 #include "chrome/browser/extensions/extension_bookmarks_module.h"
 #include "chrome/browser/extensions/extension_browser_event_router.h"
@@ -423,7 +422,6 @@
       show_extensions_prompts_(true),
       ready_(false),
       ALLOW_THIS_IN_INITIALIZER_LIST(toolbar_model_(this)),
-      apps_promo_(profile->GetPrefs()),
       event_routers_initialized_(false) {
   CHECK(BrowserThread::CurrentlyOn(BrowserThread::UI));
 
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.h chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.h	2011-06-08 00:43:01.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/extensions/extension_service.h	2011-07-16 14:40:54.888000113 +0200
@@ -20,7 +20,6 @@
 #include "base/time.h"
 #include "base/tuple.h"
 #include "base/version.h"
-#include "chrome/browser/extensions/apps_promo.h"
 #include "chrome/browser/extensions/extension_icon_manager.h"
 #include "chrome/browser/extensions/extension_menu_manager.h"
 #include "chrome/browser/extensions/extension_prefs.h"
@@ -186,8 +185,6 @@
 
   const FilePath& install_directory() const { return install_directory_; }
 
-  AppsPromo* apps_promo() { return &apps_promo_; }
-
   // Whether this extension can run in an incognito window.
   virtual bool IsIncognitoEnabled(const std::string& extension_id) const;
   virtual void SetIsIncognitoEnabled(const std::string& extension_id,
@@ -614,9 +611,6 @@
   typedef std::vector<ComponentExtensionInfo> RegisteredComponentExtensions;
   RegisteredComponentExtensions component_extension_manifests_;
 
-  // Manages the promotion of the web store.
-  AppsPromo apps_promo_;
-
   // Flag to make sure event routers are only initialized once.
   bool event_routers_initialized_;
 
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_confirm_dialog.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_confirm_dialog.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_confirm_dialog.cc	2011-06-08 00:43:30.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_confirm_dialog.cc	2011-07-16 14:42:55.140000185 +0200
@@ -5,7 +5,6 @@
 #include "chrome/browser/instant/instant_confirm_dialog.h"
 
 #include "chrome/browser/instant/instant_controller.h"
-#include "chrome/browser/instant/promo_counter.h"
 #include "chrome/browser/prefs/pref_service.h"
 #include "chrome/browser/profiles/profile.h"
 #include "chrome/common/pref_names.h"
@@ -25,10 +24,6 @@
   if (!prefs)
     return;
 
-  PromoCounter* promo_counter = profile->GetInstantPromoCounter();
-  if (promo_counter)
-    promo_counter->Hide();
-
   if (prefs->GetBoolean(prefs::kInstantConfirmDialogShown)) {
     InstantController::Enable(profile);
     return;
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_controller.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_controller.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_controller.cc	2011-06-08 00:43:30.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/instant/instant_controller.cc	2011-07-16 14:42:37.148000109 +0200
@@ -12,7 +12,6 @@
 #include "chrome/browser/instant/instant_delegate.h"
 #include "chrome/browser/instant/instant_loader.h"
 #include "chrome/browser/instant/instant_loader_manager.h"
-#include "chrome/browser/instant/promo_counter.h"
 #include "chrome/browser/platform_util.h"
 #include "chrome/browser/prefs/pref_service.h"
 #include "chrome/browser/profiles/profile.h"
@@ -61,7 +60,6 @@
   prefs->RegisterBooleanPref(prefs::kInstantEnabled, false);
   prefs->RegisterBooleanPref(prefs::kInstantEnabledOnce, false);
   prefs->RegisterInt64Pref(prefs::kInstantEnabledTime, false);
-  PromoCounter::RegisterUserPrefs(prefs, prefs::kInstantPromo);
 }
 
 // static
@@ -93,9 +91,6 @@
 
 // static
 void InstantController::Enable(Profile* profile) {
-  PromoCounter* promo_counter = profile->GetInstantPromoCounter();
-  if (promo_counter)
-    promo_counter->Hide();
 
   PrefService* service = profile->GetPrefs();
   if (!service)
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/prefs/browser_prefs.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/prefs/browser_prefs.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/prefs/browser_prefs.cc	2011-06-08 00:43:14.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/prefs/browser_prefs.cc	2011-07-16 14:47:11.087999922 +0200
@@ -15,7 +15,6 @@
 #include "chrome/browser/custom_handlers/protocol_handler_registry.h"
 #include "chrome/browser/debugger/devtools_manager.h"
 #include "chrome/browser/download/download_prefs.h"
-#include "chrome/browser/extensions/apps_promo.h"
 #include "chrome/browser/extensions/extension_prefs.h"
 #include "chrome/browser/extensions/extension_web_ui.h"
 #include "chrome/browser/extensions/extensions_ui.h"
@@ -53,7 +52,6 @@
 #include "chrome/browser/ui/webui/new_tab_ui.h"
 #include "chrome/browser/ui/webui/plugins_ui.h"
 #include "chrome/browser/upgrade_detector.h"
-#include "chrome/browser/web_resource/promo_resource_service.h"
 #include "chrome/common/pref_names.h"
 #include "content/browser/host_zoom_map.h"
 #include "content/browser/renderer_host/browser_render_process_host.h"
@@ -82,7 +80,6 @@
 
 void RegisterLocalState(PrefService* local_state) {
   // Prefs in Local State
-  AppsPromo::RegisterPrefs(local_state);
   Browser::RegisterPrefs(local_state);
   FlagsUI::RegisterPrefs(local_state);
   WebCacheManager::RegisterPrefs(local_state);
@@ -92,7 +89,6 @@
   KeywordEditorController::RegisterPrefs(local_state);
   MetricsLog::RegisterPrefs(local_state);
   MetricsService::RegisterPrefs(local_state);
-  PromoResourceService::RegisterPrefs(local_state);
   SafeBrowsingService::RegisterPrefs(local_state);
   browser_shutdown::RegisterPrefs(local_state);
 #if defined(TOOLKIT_VIEWS)
@@ -120,7 +116,6 @@
 
 void RegisterUserPrefs(PrefService* user_prefs) {
   // User prefs
-  AppsPromo::RegisterUserPrefs(user_prefs);
   AutofillManager::RegisterUserPrefs(user_prefs);
   SessionStartupPref::RegisterUserPrefs(user_prefs);
   Browser::RegisterUserPrefs(user_prefs);
@@ -135,7 +130,6 @@
   NewTabUI::RegisterUserPrefs(user_prefs);
   PluginsUI::RegisterUserPrefs(user_prefs);
   ProfileImpl::RegisterUserPrefs(user_prefs);
-  PromoResourceService::RegisterUserPrefs(user_prefs);
   HostContentSettingsMap::RegisterUserPrefs(user_prefs);
   HostZoomMap::RegisterUserPrefs(user_prefs);
   DevToolsManager::RegisterUserPrefs(user_prefs);
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.cc	2011-06-08 00:43:00.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.cc	2011-07-16 14:48:14.208000112 +0200
@@ -571,10 +571,6 @@
     NOTREACHED();
   }
 
-  virtual void InitPromoResources() {
-    NOTREACHED();
-  }
-
   virtual void InitRegisteredProtocolHandlers() {
     NOTREACHED();
   }
@@ -651,10 +647,6 @@
     return chrome_url_data_manager_.get();
   }
 
-  virtual PromoCounter* GetInstantPromoCounter() {
-    return NULL;
-  }
-
 #if defined(OS_CHROMEOS)
   virtual void ChangeAppLocale(const std::string& locale, AppLocaleChangedVia) {
   }
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.h chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.h	2011-06-08 00:43:00.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile.h	2011-07-16 14:48:33.708000190 +0200
@@ -79,7 +79,6 @@
 class PrefService;
 class ProfileSyncFactory;
 class ProfileSyncService;
-class PromoCounter;
 class ProtocolHandlerRegistry;
 class SQLitePersistentCookieStore;
 class SSLConfigServiceManager;
@@ -98,7 +97,6 @@
 class VisitedLinkMaster;
 class WebDataService;
 class WebKitContext;
-class PromoResourceService;
 
 namespace net {
 class URLRequestContextGetter;
@@ -482,9 +480,6 @@
   // are controlled by |extensions_enabled|.
   virtual void InitExtensions(bool extensions_enabled) = 0;
 
-  // Start up service that gathers data from a promo resource feed.
-  virtual void InitPromoResources() = 0;
-
   // Register URLRequestFactories for protocols registered with
   // registerProtocolHandler.
   virtual void InitRegisteredProtocolHandlers() = 0;
@@ -503,9 +498,6 @@
   // Returns the IO-thread-accessible profile data for this profile.
   virtual ExtensionInfoMap* GetExtensionInfoMap() = 0;
 
-  // Returns the PromoCounter for Instant, or NULL if not applicable.
-  virtual PromoCounter* GetInstantPromoCounter() = 0;
-
   // Gets the policy connector associated with this profile.
   virtual policy::ProfilePolicyConnector* GetPolicyConnector() = 0;
 
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.cc	2011-06-29 08:32:00.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.cc	2011-07-16 14:49:06.364000112 +0200
@@ -75,7 +75,6 @@
 #include "chrome/browser/user_style_sheet_watcher.h"
 #include "chrome/browser/visitedlink/visitedlink_event_listener.h"
 #include "chrome/browser/visitedlink/visitedlink_master.h"
-#include "chrome/browser/web_resource/promo_resource_service.h"
 #include "chrome/browser/webdata/web_data_service.h"
 #include "chrome/common/chrome_constants.h"
 #include "chrome/common/chrome_paths.h"
@@ -100,7 +99,6 @@
 #include "webkit/database/database_tracker.h"
 
 #if defined(OS_WIN)
-#include "chrome/browser/instant/promo_counter.h"
 #include "chrome/browser/password_manager/password_store_win.h"
 #include "chrome/installer/util/install_util.h"
 #elif defined(OS_MACOSX)
@@ -276,7 +274,6 @@
       spellcheck_host_(NULL),
       spellcheck_host_ready_(false),
 #if defined(OS_WIN)
-      checked_instant_promo_(false),
 #endif
       shutdown_session_service_(false),
       delegate_(delegate) {
@@ -545,14 +542,6 @@
 #endif
 }
 
-void ProfileImpl::InitPromoResources() {
-  if (promo_resource_service_)
-    return;
-
-  promo_resource_service_ = new PromoResourceService(this);
-  promo_resource_service_->StartAfterDelay();
-}
-
 void ProfileImpl::InitRegisteredProtocolHandlers() {
   if (protocol_handler_registry_)
     return;
@@ -1432,28 +1421,6 @@
   return chrome_url_data_manager_.get();
 }
 
-PromoCounter* ProfileImpl::GetInstantPromoCounter() {
-#if defined(OS_WIN)
-  // TODO: enable this when we're ready to turn on the promo.
-  /*
-  if (!checked_instant_promo_) {
-    checked_instant_promo_ = true;
-    PrefService* prefs = GetPrefs();
-    if (!prefs->GetBoolean(prefs::kInstantEnabledOnce) &&
-        !InstantController::IsEnabled(this) &&
-        InstallUtil::IsChromeSxSProcess()) {
-      DCHECK(!instant_promo_counter_.get());
-      instant_promo_counter_.reset(
-          new PromoCounter(this, prefs::kInstantPromo, "Instant.Promo", 3, 3));
-    }
-  }
-  */
-  return instant_promo_counter_.get();
-#else
-  return NULL;
-#endif
-}
-
 #if defined(OS_CHROMEOS)
 void ProfileImpl::ChangeAppLocale(
     const std::string& new_locale, AppLocaleChangedVia via) {
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.h chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.h	2011-06-08 00:43:00.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_impl.h	2011-07-16 14:49:46.820000113 +0200
@@ -116,7 +116,6 @@
   virtual StatusTray* GetStatusTray();
   virtual void MarkAsCleanShutdown();
   virtual void InitExtensions(bool extensions_enabled);
-  virtual void InitPromoResources();
   virtual void InitRegisteredProtocolHandlers();
   virtual NTPResourceCache* GetNTPResourceCache();
   virtual FilePath last_selected_directory();
@@ -130,7 +129,6 @@
   void InitCloudPrintProxyService();
   virtual ChromeBlobStorageContext* GetBlobStorageContext();
   virtual ExtensionInfoMap* GetExtensionInfoMap();
-  virtual PromoCounter* GetInstantPromoCounter();
   virtual BrowserSignin* GetBrowserSignin();
   virtual policy::ProfilePolicyConnector* GetPolicyConnector();
   virtual ChromeURLDataManager* GetChromeURLDataManager();
@@ -220,7 +218,6 @@
   scoped_ptr<TemplateURLFetcher> template_url_fetcher_;
   scoped_ptr<TemplateURLModel> template_url_model_;
   scoped_ptr<BookmarkModel> bookmark_bar_model_;
-  scoped_refptr<PromoResourceService> promo_resource_service_;
   scoped_refptr<ProtocolHandlerRegistry> protocol_handler_registry_;
   scoped_ptr<NTPResourceCache> ntp_resource_cache_;
 
@@ -278,8 +275,6 @@
   bool spellcheck_host_ready_;
 
 #if defined(OS_WIN)
-  bool checked_instant_promo_;
-  scoped_ptr<PromoCounter> instant_promo_counter_;
 #endif
 
   // Set to true when ShutdownSessionService is invoked. If true
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_manager.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_manager.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_manager.cc	2011-06-08 00:43:00.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/profiles/profile_manager.cc	2011-07-16 14:50:00.556000114 +0200
@@ -364,8 +364,6 @@
 #endif
   profile->InitExtensions(init_extensions);
 
-  if (!command_line.HasSwitch(switches::kDisableWebResources))
-    profile->InitPromoResources();
 }
 
 void ProfileManager::OnProfileCreated(Profile* profile, bool success) {
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/new_new_tab.js chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/new_new_tab.js
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/new_new_tab.js	2011-06-08 00:43:08.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/new_new_tab.js	2011-07-16 15:20:52.588000253 +0200
@@ -1007,14 +1007,11 @@
   }
 
   function closeNotification() {
-    if (notification.classList.contains('promo'))
-      chrome.send('closePromo');
     hideNotification();
   }
 
   // Remove classList entries from previous notifications.
   notification.classList.remove('first-run');
-  notification.classList.remove('promo');
 
   var messageContainer = notificationElement.firstElementChild;
   var actionLink = notificationElement.querySelector('#action-link');
@@ -1076,15 +1073,6 @@
   }
 }
 
-function showPromoNotification() {
-  showNotification(parseHtmlSubset(localStrings.getString('serverpromo')),
-                   localStrings.getString('syncpromotext'),
-                   function () { chrome.send('SyncLinkClicked'); },
-                   60000);
-  var notificationElement = $('notification');
-  notification.classList.add('promo');
-}
-
 $('main').addEventListener('click', function(e) {
   var p = e.target;
   while (p && p.tagName != 'H2') {
@@ -1444,7 +1432,6 @@
   }, 1);
 
   if (localStrings.getString('serverpromo')) {
-    showPromoNotification();
   }
 }
 
@@ -1456,14 +1443,3 @@
 function isDoneLoading() {
   return !document.body.classList.contains('loading');
 }
-
-// Initialize the listener for the "hide this" link on the apps promo. We do
-// this outside of getAppsCallback because it only needs to be done once per
-// NTP load.
-document.addEventListener('DOMContentLoaded', function() {
-  $('apps-promo-hide').addEventListener('click', function() {
-    chrome.send('hideAppsPromo', []);
-    document.documentElement.classList.remove('apps-promo-visible');
-    layoutSections();
-  });
-});
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/ntp/apps.js chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/ntp/apps.js
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/ntp/apps.js	2011-06-08 00:43:06.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/resources/ntp/apps.js	2011-07-16 15:19:53.004000252 +0200
@@ -11,15 +11,10 @@
 
   // In the case of prefchange-triggered updates, we don't receive this flag.
   // Just leave it set as it was before in that case.
-  if ('showPromo' in data)
-    apps.showPromo = data.showPromo;
 
   var appsSection = $('apps');
   var appsSectionContent = $('apps-content');
   var appsMiniview = appsSection.getElementsByClassName('miniview')[0];
-  var appsPromo = $('apps-promo');
-  var appsPromoLink = $('apps-promo-link');
-  var appsPromoPing = APP_LAUNCH_URL.PING_WEBSTORE + '+' + apps.showPromo;
   var webStoreEntry, webStoreMiniEntry;
 
   // Hide menu options that are not supported on the OS or windowing system.
@@ -44,8 +39,7 @@
 
   // Determines if the web store link should be detached and place in the
   // top right of the screen.
-  apps.detachWebstoreEntry =
-      !apps.showPromo && data.apps.length >= MAX_APPS_PER_ROW[layoutMode];
+  apps.detachWebstoreEntry = data.apps.length >= MAX_APPS_PER_ROW[layoutMode];
 
   markNewApps(data.apps);
   apps.data = data.apps;
@@ -61,25 +55,10 @@
     appsSectionContent.appendChild(apps.createElement(app));
   });
 
-  if (data.showPromo) {
-    // Add the promo content...
-    $('apps-promo-heading').textContent = data.promoHeader;
-    appsPromoLink.href = data.promoLink;
-    appsPromoLink.textContent = data.promoButton;
-    appsPromoLink.ping = appsPromoPing;
-    $('apps-promo-hide').textContent = data.promoExpire;
-
-    // ... then display the promo.
-    document.documentElement.classList.add('apps-promo-visible');
-  } else {
-    document.documentElement.classList.remove('apps-promo-visible');
-  }
-
   // Only show the web store entry if there are apps installed, since the promo
   // is sufficient otherwise.
   if (data.apps.length > 0) {
     webStoreEntry = apps.createWebStoreElement();
-    webStoreEntry.querySelector('a').ping = appsPromoPing;
     appsSectionContent.appendChild(webStoreEntry);
     if (apps.detachWebstoreEntry) {
       webStoreEntry.classList.add('loner');
@@ -95,7 +74,6 @@
   });
   if (data.apps.length < MAX_MINIVIEW_ITEMS) {
     webStoreMiniEntry = apps.createWebStoreMiniElement();
-    webStoreMiniEntry.querySelector('a').ping = appsPromoPing;
     appsMiniview.appendChild(webStoreMiniEntry);
     addClosedMenuEntryWithLink(apps.menu,
                                apps.createWebStoreClosedMenuElement());
@@ -110,8 +88,6 @@
 
   apps.loaded = true;
 
-  if (appsPromoLink)
-    appsPromoLink.ping = appsPromoPing;
   maybeDoneLoading();
 
   // Disable the animations when the app launcher is being (re)initailized.
@@ -234,7 +210,6 @@
   };
 
   var currentApp;
-  var promoHasBeenSeen = false;
 
   function addContextMenu(el, app) {
     el.addEventListener('contextmenu', cr.ui.contextMenuHandler);
@@ -334,8 +309,6 @@
 
     menu: $('apps-menu'),
 
-    showPromo: false,
-
     detachWebstoreEntry: false,
 
     scrollMouseXY_: null,
@@ -366,14 +339,6 @@
       this.invalidate_();
     },
 
-    maybePingPromoSeen_: function() {
-      if (promoHasBeenSeen || !this.showPromo || !isAppSectionMaximized())
-        return;
-
-      promoHasBeenSeen = true;
-      chrome.send('promoSeen', []);
-    },
-
     // DragAndDropDelegate
 
     dragContainer: $('apps-content'),
@@ -595,10 +560,6 @@
       var rects = this.getLayoutRects_(apps.length);
       var appsContent = this.dragContainer;
 
-      // Ping the PROMO_SEEN histogram only when the promo is maximized, and
-      // maximum once per NTP load.
-      this.maybePingPromoSeen_();
-
       if (!this.visible)
         return;
 
@@ -682,8 +643,6 @@
       var a = div.firstChild;
 
       a.onclick = handleClick;
-      a.ping = getAppPingUrl(
-          'PING_BY_ID', this.showPromo, 'NTP_APPS_MAXIMIZED');
       a.style.backgroundImage = url(app['icon_big']);
       if (app.isNew) {
         div.setAttribute('new', 'new');
@@ -722,8 +681,6 @@
       a.textContent = app['name'];
       a.href = app['launch_url'];
       a.onclick = handleClick;
-      a.ping = getAppPingUrl(
-          'PING_BY_ID', this.showPromo, 'NTP_APPS_COLLAPSED');
       a.style.backgroundImage = url(app['icon_small']);
       a.className = 'item';
       span.appendChild(a);
@@ -739,8 +696,6 @@
       a.textContent = app['name'];
       a.href = app['launch_url'];
       a.onclick = handleClick;
-      a.ping = getAppPingUrl(
-          'PING_BY_ID', this.showPromo, 'NTP_APPS_MENU');
       a.style.backgroundImage = url(app['icon_small']);
       a.className = 'item';
 
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/views/autocomplete/autocomplete_popup_contents_view.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/views/autocomplete/autocomplete_popup_contents_view.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/views/autocomplete/autocomplete_popup_contents_view.cc	2011-06-08 00:43:26.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/views/autocomplete/autocomplete_popup_contents_view.cc	2011-07-16 15:05:01.556000250 +0200
@@ -9,7 +9,6 @@
 #include "chrome/browser/autocomplete/autocomplete_edit_view.h"
 #include "chrome/browser/autocomplete/autocomplete_popup_model.h"
 #include "chrome/browser/instant/instant_confirm_dialog.h"
-#include "chrome/browser/instant/promo_counter.h"
 #include "chrome/browser/profiles/profile.h"
 #include "chrome/browser/ui/views/autocomplete/autocomplete_result_view.h"
 #include "chrome/browser/ui/views/bubble/bubble_border.h"
@@ -306,12 +305,7 @@
   for (size_t i = model_->result().size(); i < child_rv_count; ++i)
     GetChildViewAt(i)->SetVisible(false);
 
-  PromoCounter* counter = model_->profile()->GetInstantPromoCounter();
-  if (!opt_in_view_ && counter && counter->ShouldShow(base::Time::Now())) {
-    opt_in_view_ = new InstantOptInView(this, result_bold_font_, result_font_);
-    AddChildView(opt_in_view_);
-  } else if (opt_in_view_ && (!counter ||
-                              !counter->ShouldShow(base::Time::Now()))) {
+  if (opt_in_view_) {
     delete opt_in_view_;
     opt_in_view_ = NULL;
   }
@@ -673,9 +667,6 @@
 void AutocompletePopupContentsView::UserPressedOptIn(bool opt_in) {
   delete opt_in_view_;
   opt_in_view_ = NULL;
-  PromoCounter* counter = model_->profile()->GetInstantPromoCounter();
-  DCHECK(counter);
-  counter->Hide();
   if (opt_in) {
     browser::ShowInstantConfirmDialogIfNecessary(
         location_bar_->GetWindow()->GetNativeWindow(), model_->profile());
